#
# spec file for package gunze-tools (Version 031126)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# neededforbuild  x-devel-packages

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm xorg-x11-devel xorg-x11-libs

Name:           gunze-tools
Url:            http://ar.linux.it/software/gunzets/
License:        X11/MIT
Group:          System/X11/Utilities
Autoreqprov:    on
Version:        031126
Release:        0.1
Summary:        X11 Gunze touchpad configuration + calibration tools
Source:         %name.tgz
Source1:        setserial
Source2:        XF86Config82
Source3:        XF86Config92
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X11 Gunze touchpad configuration + calibration tools


Authors:
--------
    Alessandro Rubini <rubini@linux.it>

%debug_package
%package -n Panther_DI7-E
Summary:        System configuration for Panther DI7-E with Gunze touchpad
Group:          System/X11/Utilities
Requires:       setserial
Autoreqprov:    on

%description -n Panther_DI7-E
System configuration for Panther DI7-E with Gunze touchpad



%prep
%setup -n gunze-tools

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/Panther_DI7-E
cp $RPM_SOURCE_DIR/setserial $RPM_BUILD_ROOT/usr/share/doc/packages/Panther_DI7-E/
%if %suse_version > 920
cp $RPM_SOURCE_DIR/XF86Config92 $RPM_BUILD_ROOT/usr/share/doc/packages/Panther_DI7-E/xorg.conf
%else
%if %suse_version > 910
cp $RPM_SOURCE_DIR/XF86Config92 $RPM_BUILD_ROOT/usr/share/doc/packages/Panther_DI7-E/XF86Config
%else
cp $RPM_SOURCE_DIR/XF86Config82 $RPM_BUILD_ROOT/usr/share/doc/packages/Panther_DI7-E/XF86Config
%endif
%endif

%post -n Panther_DI7-E
mkdir -p /etc/init.d /etc/X11 /dev
test -f /etc/init.d/setserial.pre-Panther_DI7-E || mv /etc/init.d/setserial{,.pre-Panther_DI7-E}
rm -f /etc/init.d/setserial
cp /usr/share/doc/packages/Panther_DI7-E/setserial /etc/init.d/
%if %suse_version > 920
test -f /etc/X11/xorg.conf.pre-Panther_DI7-E || mv /etc/X11/xorg.conf{,.pre-Panther_DI7-E}
rm -f /etc/X11/xorg.conf
cp /usr/share/doc/packages/Panther_DI7-E/xorg.conf /etc/X11/
%else
test -f /etc/X11/XF86Config.pre-Panther_DI7-E || mv /etc/X11/XF86Config{,.pre-Panther_DI7-E}
rm -f /etc/X11/XF86Config
cp /usr/share/doc/packages/Panther_DI7-E/XF86Config /etc/X11/
%endif
ln -sf ttyS3 /dev/touchscreen
exit 0

%postun -n Panther_DI7-E
rm -f /etc/init.d/setserial
test -f /etc/init.d/setserial.pre-Panther_DI7-E && mv /etc/init.d/setserial{.pre-Panther_DI7-E,}
%if %suse_version > 920
test -f /etc/X11/xorg.conf.pre-Panther_DI7-E && rm -f /etc/X11/xorg.conf
test -f /etc/X11/xorg.conf.pre-Panther_DI7-E && mv /etc/X11/xorg.conf{.pre-Panther_DI7-E,}
%else
test -f /etc/X11/XF86Config.pre-Panther_DI7-E && rm -f /etc/X11/XF86Config
test -f /etc/X11/XF86Config.pre-Panther_DI7-E && mv /etc/X11/XF86Config{.pre-Panther_DI7-E,}
%endif
test -L /dev/touchscreen && rm /dev/touchscreen
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc /usr/share/doc/packages/gunze-tools
/usr/X11R6/bin/gunzets_control
/usr/X11R6/bin/gunze_panel
/usr/X11R6/bin/gunzets_calib

%files -n Panther_DI7-E
%defattr(-,root,root)
%doc /usr/share/doc/packages/Panther_DI7-E

%changelog -n gunze-tools
* Wed Apr 27 2005 - mhopf@suse.de
- Created package
